#include <io.h>

int FileDateTimeCmp(int f1,int f2)
/* オープンされている２つのファイルの作成日時を比較する */
/* リターン
	0	同じ
	1	f1が古い
	2	f2が古い
*/
{
int t1,t2,d1,d2,c;
	/* ファイル作成日時取得 */
	t1=getft(f1);
	d1=(t1>>16);
	t1&=0xffff;
	
	t2=getft(f2);
	d2=(t2>>16);
	t2&=0xffff;
	
	/* 日付比較 */
	c=cmp_date(d1,d2);
	if (c) return(c);
	
	/* 日付は一致 */
	
	/* 時間比較 */
	return(cmp_time(t1,t2));
}
